#!/usr/bin/env python3

if __name__ == "__main__":

    from argparse import ArgumentParser
    parser = ArgumentParser(description='search and download gui')
    parser.add_argument('--host', type=str, help='hostname or ip-address (including port).', default="http://localhost:8080")
    parser.add_argument('--user', type=str, help='user:passw', default=":")
    parser.add_argument('--gui', '-g', type=str, default='gtk', choices=['gtk', 'web'], help="Choose which GUI you would like to launch. Default is GTK")

    args = parser.parse_args()
    if args.gui == "gtk":
        from xsagtk.xsa_app_main import start_xsa_gui
        start_xsa_gui(args)
    elif args.gui == "web":
        from xsaweb.main import start_web_gui
        start_web_gui(args)
